These docs are for v1. Click to read the latest docs for v3.

Initiate Payment / Fund Transfer

Initiate a fund transfer to any bank account.

❗️

Important Note:

Authentication key for payment service in staging is 'f46fd59b-bc90-41e2-9a52-efb5c0778d50'

📘

Payment Activation - Production

Please make sure you activate your service for payment using service_code=45 before doing any transaction. Refer to - Activate Service.
It is mandatory to activate your service in production environment.

❗️

Setting up callback/web-hook is mandatory.

Refer to - Setting up callback

Please refer to the below table for payment_mode parameter values

ValueInterpretation
4NEFT
5IMPS
13RTGS

Please refer to the below table for beneficiary_account_type parameter values

ValueInterpretation
1Savings Account
2Current Account

📘

For secret-key and secret-key-timestamp generation, refer to -Authentication

Response Error Codes

ERROR CODESMEANINGSOLUTION
403ForbiddenRegenerate your secret key and
timestamp or check if your service is activated or not
500Internal Server ErrorCheck if your request url is correct or
the parameters you're passing is correct
according to the parameters mentioned above
415Unsupported Media TypeRe-check the content/type of the request body.

Please make sure that the client reference ID that you're entering is a unique combination of characters and numbers as it will help you to uniquely identify a transaction.

Maximum characters -20

Path Params
string
required

Your user code in Eko’s system

Form Data
string
required

The unique cell number with which you are onboarded on Eko's platform. For UAT refer to [Platform Credentials] (https://developers.eko.in/docs/platform-credentials)

string
required

Unique transaction ID which you will generate from your end for every transaction. Must be less than 20 characters.

int32
required
Defaults to 45

This is the code of the service for fund transfer. The value of service code for Fund Transfer APIs is 45.

int32
required

The payment mode you want to use to transfer money. Please refer the table below.

string
required

Beneficiary name (as in bank records)

string
required

Beneficiary bank account number

string
required

IFSC Code of receiver’s bank

int32
required

Amount to Transfer

string
required
Defaults to NEWCONNECT

Please pass the default value given above

string
required

Sender’s name

string

Payment purpose; eg- Grocery

string

Sender’s location information; eg- 28.78123,72.808912

int32

Beneficiary's bank account type. Please refer the table below.

Headers
string
required

Your unique API key that will authenticate your request. For UAT, refer to [Platform Credentials] (https://developers.eko.in/docs/platform-credentials)

string
required

Refer to [authentication section] (https://developers.eko.in/docs/authentication)

string
required

Refer to [authentication section] (https://developers.eko.in/docs/authentication)

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json